package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.primary.SqlEntity;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/10/21
 */
public interface ISqlEntityService {

    SqlEntity queryById(String id);

    Page<SqlEntity> queryByDescription(String desc, Integer page, Integer size);

    boolean addSqlEntity(SqlEntity sqlEntity);

    boolean updateSqlEntity(SqlEntity sqlEntity);

    boolean deleteSqlEntity(String id);
}
